Ubuntu

linux: 2.6.32-41.90 -proposed tracker

Reported by Luis Henriques on 2012-05-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Brendan Donegan
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Prepare-package-ports-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Brad Figg
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-41.90 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 21. May 2012 17:28 UTC
kernel-stable-Prepare-package-end:Tuesday, 22. May 2012 18:48 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 22. May 2012 18:48 UTC
kernel-stable-Promote-to-proposed-end:Friday, 25. May 2012 19:00 UTC
kernel-stable-Verification-testing-start:Friday, 25. May 2012 20:01 UTC
kernel-stable-Verification-testing-end:Monday, 28. May 2012 10:16 UTC
kernel-stable-Certification-testing-start:Monday, 28. May 2012 10:16 UTC
kernel-stable-Security-signoff-start:Monday, 28. May 2012 10:16 UTC
kernel-stable-Regression-testing-start:Monday, 28. May 2012 10:16 UTC
kernel-stable-Security-signoff-end:Tuesday, 29. May 2012 22:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 30. May 2012 21:15 UTC
kernel-stable-Promote-to-updates-start:Thursday, 31. May 2012 13:30 UTC
kernel-stable-Certification-testing-end:Thursday, 31. May 2012 13:30 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 12. June 2012 14:45 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 12. June 2012 14:45 UTC

CVE References

Luis Henriques (henrix) on 2012-05-21
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1003061

description: updated
Colin Watson (cjwatson) on 2012-05-25
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-25
description: updated
Brad Figg (brad-figg) on 2012-05-28
description: updated

Hardware Certification have begun testing this -proposed kernel

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-05-29
description: updated
Brad Figg (brad-figg) on 2012-05-30
description: updated

Hardware Certification has completed testing on 42/45 systems. Two systems are inaccesible in the lab. One system is suffering from suspend issues not caused by the SRU (present since 10.04.4). No regressions were observed on those systems that did report. Results are available here: http://people.canonical.com/~hwcert/sru-testing/wk22_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-05-31
description: updated
Adam Conrad (adconrad) wrote :

--- Releasing linux ---
Proposed: 2.6.32-41.90
Security: 2.6.32-41.89
Updates: 2.6.32-41.89
Copied to lucid-updates
Copied to lucid-security

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-41.90

---------------
linux (2.6.32-41.90) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1002389

  [ Andy Whitcroft ]

  * [Config] control.stub is an intermediate product not a dependancy
    - LP: #992414

  [ Tim Gardner ]

  * [Config] perarch and indep tools builds need separate build directories

  [ Upstream Kernel Changes ]

  * hugepages: fix use after free bug in "quota" handling
    - LP: #990368
    - CVE-2012-2133
 -- Luis Henriques <email address hidden> Mon, 21 May 2012 18:25:32 +0100

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers